Package com.collabnet.ce.soap60.webservices.cemain

# Class RelationshipSoapDOMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler
com.collabnet.ce.soap60.webservices.cemain.RelationshipSoapDOMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class RelationshipSoapDOMarshaler extends ObjectSoapDOMarshaler
This is used when generic folder objects are used. The need here is from certain events using FolderDO's that need to be marshaled and sent to custom event handlers. In these cases, we need to send the FolderSoapDO to the handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Returns the singleton class instance.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Converts a RelationshipDO into a GenericRelationshipSoapDO.
  `Object`
  `soapToRmi(Object soapObject)`
  This is not currently supported.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDOMarshaler

  `getCoreService, protectedRmiToSoap, protectedSoapToRmi`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Returns the singleton class instance.
    Returns:
      Singleton class instance.

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    This is not currently supported.
    Parameters:
      `soapObject` - The RelationshipSoapDO that should be marshaled.
    Returns:
      The RelationshipDO that contains the information from the soap object.
    Throws:
      `SoapMarshalingException` - If there was a problem converting the soap object to an rmi object.

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Converts a RelationshipDO into a GenericRelationshipSoapDO. This is used in custom event handlers since certain events throw plain RelationshipDO's into the object event (like relationship renames).
    Parameters:
      `rmiObject` - The RelationshipDO that is being converted.
    Returns:
      The soapDO representation of the rmi object.
    Throws:
      `SoapMarshalingException` - If there was a problem converting the rmi object into an soap object.